.clock-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
  }
  
  .clock {
    width: 150px;
    height: 150px;
    border-radius: 50%;
    background: #4388ff;
    position: relative;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
  }
  
  /* شماره‌های ساعت */
  .number {
    position: absolute;
    font-size: 16px;
    color: white;
    font-weight: bold;
  }
  
  .number12 {
    top: 10px;
    left: 50%;
    transform: translateX(-50%);
  }
  
  .number3 {
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
  }
  
  .number6 {
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
  }
  
  .number9 {
    left: 10px;
    top: 50%;
    transform: translateY(-50%);
  }
  
  .center-dot {
    width: 8px;
    height: 8px;
    background: white;
    border-radius: 50%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10;
  }
  
  .hour-hand,
  .minute-hand,
  .second-hand {
    position: absolute;
    width: 2px;
    background: white;
    transform-origin: bottom center;
    transform: translateX(-50%) rotate(0deg);
    border-radius: 2px;
  }
  
  .hour-hand {
    height: 40px;
    top: 38%;
    left: 50%;
    background: rgb(124, 123, 123);
  }
  
  .minute-hand {
    height: 55px;
    top: 30%;
    left: 50%;
    background: rgb(82, 82, 82);
  }
  
  .second-hand {
    height: 65px;
    top: 30%;
    left: 50%;
    background: rgb(0, 0, 0);
  }
  
  .date-text {
    margin-top: 10px;
    font-size: 16px;
    font-weight: bold;
    color: #4388ff;
  }
  